# CF CHECKER for Climate Projection product
We use the Climate and Forecasts (CF) Metadata Convention [Link](http://pumatest.nerc.ac.uk/cgi-bin/cf-checker.pl) <br>
## CMIP5 daily pressure levels
### Temperature
FILE: ta_day_MPI-ESM-MR_historical_r1i1p1_19990101-19991231.nc
```
Output of CF-Checker follows...

/home/ros/software/cf-checker/lib/python2.7/site-packages/cfchecker-3.1.0-py2.7.egg/cfchecker/cfchecks.py:1768: FutureWarning: Conversion of the second argument of issubdtype from `int` to `np.signedinteger` is deprecated. In future, it will be treated as `np.int64 == np.dtype(int).type`.
  elif numpy.issubdtype(attrType, numpy.int) or numpy.issubdtype(attrType, numpy.float):
/home/ros/software/cf-checker/lib/python2.7/site-packages/cfchecker-3.1.0-py2.7.egg/cfchecker/cfchecks.py:1768: FutureWarning: Conversion of the second argument of issubdtype from `float` to `np.floating` is deprecated. In future, it will be treated as `np.float64 == np.dtype(float).type`.
  elif numpy.issubdtype(attrType, numpy.int) or numpy.issubdtype(attrType, numpy.float):
CHECKING NetCDF FILE: /tmp/2698.nc
=====================
Using CF Checker Version 3.1.0
Checking against CF Version CF-1.4
Using Standard Name Table Version 62 (2018-12-18T16:56:35Z)
Using Area Type Table Version 9 (07 August 2018)
Using Standardized Region Name Table Version 4 (18 December 2018)
------------------
Checking variable: time
------------------
Checking variable: time_bnds
------------------
Checking variable: plev
------------------
Checking variable: lat
------------------
Checking variable: lat_bnds
------------------
Checking variable: lon
------------------
Checking variable: lon_bnds
------------------
Checking variable: ta
------------------
WARN: (7.2): cell_measures refers to variable areacella that doesnt exist in this netCDF file. This is strictly an error if the cell_measures variable is not included in the dataset.
```
ERRORS detected: 0<br>
WARNINGS given: 1<br>
INFORMATION messages: 0<br><br>

### Geopotential Height
FILE: zg_day_MPI-ESM-MR_historical_r1i1p1_19990101-19991231.nc
```
Output of CF-Checker follows...

/home/ros/software/cf-checker/lib/python2.7/site-packages/cfchecker-3.1.0-py2.7.egg/cfchecker/cfchecks.py:1768: FutureWarning: Conversion of the second argument of issubdtype from `int` to `np.signedinteger` is deprecated. In future, it will be treated as `np.int64 == np.dtype(int).type`.
  elif numpy.issubdtype(attrType, numpy.int) or numpy.issubdtype(attrType, numpy.float):
/home/ros/software/cf-checker/lib/python2.7/site-packages/cfchecker-3.1.0-py2.7.egg/cfchecker/cfchecks.py:1768: FutureWarning: Conversion of the second argument of issubdtype from `float` to `np.floating` is deprecated. In future, it will be treated as `np.float64 == np.dtype(float).type`.
  elif numpy.issubdtype(attrType, numpy.int) or numpy.issubdtype(attrType, numpy.float):
CHECKING NetCDF FILE: /tmp/2698.nc
=====================
Using CF Checker Version 3.1.0
Checking against CF Version CF-1.4
Using Standard Name Table Version 62 (2018-12-18T16:56:35Z)
Using Area Type Table Version 9 (07 August 2018)
Using Standardized Region Name Table Version 4 (18 December 2018)
------------------
Checking variable: time
------------------
Checking variable: time_bnds
------------------
Checking variable: plev
------------------
Checking variable: lat
------------------
Checking variable: lat_bnds
------------------
Checking variable: lon
------------------
Checking variable: lon_bnds
------------------
Checking variable: zg
------------------
WARN: (7.2): cell_measures refers to variable areacella that doesnt exist in this netCDF file. This is strictly an error if the cell_measures variable is not included in the dataset.
```
ERRORS detected: 0<br>
WARNINGS given: 1<br>
INFORMATION messages: 0<br><br>

## CMIP5 Daily Single Levels
### 2m_temperature
FILE:  tas_day_CMCC-CM_historical_r1i1p1_20000101-20001231.nc
```
Output of CF-Checker follows...

/home/ros/software/cf-checker/lib/python2.7/site-packages/cfchecker-3.1.0-py2.7.egg/cfchecker/cfchecks.py:1768: FutureWarning: Conversion of the second argument of issubdtype from `int` to `np.signedinteger` is deprecated. In future, it will be treated as `np.int64 == np.dtype(int).type`.
  elif numpy.issubdtype(attrType, numpy.int) or numpy.issubdtype(attrType, numpy.float):
/home/ros/software/cf-checker/lib/python2.7/site-packages/cfchecker-3.1.0-py2.7.egg/cfchecker/cfchecks.py:1768: FutureWarning: Conversion of the second argument of issubdtype from `float` to `np.floating` is deprecated. In future, it will be treated as `np.float64 == np.dtype(float).type`.
  elif numpy.issubdtype(attrType, numpy.int) or numpy.issubdtype(attrType, numpy.float):
CHECKING NetCDF FILE: /tmp/2698.nc
=====================
Using CF Checker Version 3.1.0
Checking against CF Version CF-1.4
Using Standard Name Table Version 62 (2018-12-18T16:56:35Z)
Using Area Type Table Version 9 (07 August 2018)
Using Standardized Region Name Table Version 4 (18 December 2018)
------------------
Checking variable: time
------------------
Checking variable: time_bnds
------------------
Checking variable: lat
------------------
Checking variable: lat_bnds
------------------
Checking variable: lon
------------------
Checking variable: lon_bnds
------------------
Checking variable: height
------------------
ERROR: (4): Axis attribute is not allowed for auxillary coordinate variables.
------------------
Checking variable: tas
------------------
INFO: attribute history is being used in a non-standard way
WARN: (7.2): cell_measures refers to variable areacella that doesnt exist in this netCDF file. This is strictly an error if the cell_measures variable is not included in the dataset.
```
ERRORS detected: 1<br>
WARNINGS given: 1<br>
INFORMATION messages: 1<br><br>

### maximum_2m_temperature_in_the_last_24_hours
FILE: tasmax_day_CMCC-CM_historical_r1i1p1_20000101-20001231.nc
```
Output of CF-Checker follows...

/home/ros/software/cf-checker/lib/python2.7/site-packages/cfchecker-3.1.0-py2.7.egg/cfchecker/cfchecks.py:1768: FutureWarning: Conversion of the second argument of issubdtype from `int` to `np.signedinteger` is deprecated. In future, it will be treated as `np.int64 == np.dtype(int).type`.
  elif numpy.issubdtype(attrType, numpy.int) or numpy.issubdtype(attrType, numpy.float):
/home/ros/software/cf-checker/lib/python2.7/site-packages/cfchecker-3.1.0-py2.7.egg/cfchecker/cfchecks.py:1768: FutureWarning: Conversion of the second argument of issubdtype from `float` to `np.floating` is deprecated. In future, it will be treated as `np.float64 == np.dtype(float).type`.
  elif numpy.issubdtype(attrType, numpy.int) or numpy.issubdtype(attrType, numpy.float):
CHECKING NetCDF FILE: /tmp/2698.nc
=====================
Using CF Checker Version 3.1.0
Checking against CF Version CF-1.4
Using Standard Name Table Version 62 (2018-12-18T16:56:35Z)
Using Area Type Table Version 9 (07 August 2018)
Using Standardized Region Name Table Version 4 (18 December 2018)
------------------
Checking variable: time
------------------
Checking variable: time_bnds
------------------
Checking variable: lat
------------------
Checking variable: lat_bnds
------------------
Checking variable: lon
------------------
Checking variable: lon_bnds
------------------
Checking variable: height
------------------
ERROR: (4): Axis attribute is not allowed for auxillary coordinate variables.
------------------
Checking variable: tasmax
------------------
INFO: attribute history is being used in a non-standard way
WARN: (7.2): cell_measures refers to variable areacella that doesnt exist in this netCDF file. This is strictly an error if the cell_measures variable is not included in the dataset.
```
ERRORS detected: 1<br>
WARNINGS given: 1<br>
INFORMATION messages: 1<br><br>

### minimum_2m_temperature_in_the_last_24_hours
FILE : tasmin_day_CMCC-CM_historical_r1i1p1_20000101-20001231.nc
```
Output of CF-Checker follows...

/home/ros/software/cf-checker/lib/python2.7/site-packages/cfchecker-3.1.0-py2.7.egg/cfchecker/cfchecks.py:1768: FutureWarning: Conversion of the second argument of issubdtype from `int` to `np.signedinteger` is deprecated. In future, it will be treated as `np.int64 == np.dtype(int).type`.
  elif numpy.issubdtype(attrType, numpy.int) or numpy.issubdtype(attrType, numpy.float):
/home/ros/software/cf-checker/lib/python2.7/site-packages/cfchecker-3.1.0-py2.7.egg/cfchecker/cfchecks.py:1768: FutureWarning: Conversion of the second argument of issubdtype from `float` to `np.floating` is deprecated. In future, it will be treated as `np.float64 == np.dtype(float).type`.
  elif numpy.issubdtype(attrType, numpy.int) or numpy.issubdtype(attrType, numpy.float):
CHECKING NetCDF FILE: /tmp/2698.nc
=====================
Using CF Checker Version 3.1.0
Checking against CF Version CF-1.4
Using Standard Name Table Version 62 (2018-12-18T16:56:35Z)
Using Area Type Table Version 9 (07 August 2018)
Using Standardized Region Name Table Version 4 (18 December 2018)
------------------
Checking variable: time
------------------
Checking variable: time_bnds
------------------
Checking variable: lat
------------------
Checking variable: lat_bnds
------------------
Checking variable: lon
------------------
Checking variable: lon_bnds
------------------
Checking variable: height
------------------
ERROR: (4): Axis attribute is not allowed for auxillary coordinate variables.
------------------
Checking variable: tasmin
------------------
INFO: attribute history is being used in a non-standard way
WARN: (7.2): cell_measures refers to variable areacella that doesnt exist in this netCDF file. This is strictly an error if the cell_measures variable is not included in the dataset.
```
ERRORS detected: 1<br>
WARNINGS given: 1<br>
INFORMATION messages: 1<br><br>

## CMIP5 Monthly Pressure Levels
### Temperature
FILE: ta_Amon_HadGEM2-CC_historical_r1i1p1_198412-200511.nc
```
Output of CF-Checker follows...

/home/ros/software/cf-checker/lib/python2.7/site-packages/cfchecker-3.1.0-py2.7.egg/cfchecker/cfchecks.py:1768: FutureWarning: Conversion of the second argument of issubdtype from `int` to `np.signedinteger` is deprecated. In future, it will be treated as `np.int64 == np.dtype(int).type`.
  elif numpy.issubdtype(attrType, numpy.int) or numpy.issubdtype(attrType, numpy.float):
/home/ros/software/cf-checker/lib/python2.7/site-packages/cfchecker-3.1.0-py2.7.egg/cfchecker/cfchecks.py:1768: FutureWarning: Conversion of the second argument of issubdtype from `float` to `np.floating` is deprecated. In future, it will be treated as `np.float64 == np.dtype(float).type`.
  elif numpy.issubdtype(attrType, numpy.int) or numpy.issubdtype(attrType, numpy.float):
CHECKING NetCDF FILE: /tmp/2698.nc
=====================
Using CF Checker Version 3.1.0
Checking against CF Version CF-1.4
Using Standard Name Table Version 62 (2018-12-18T16:56:35Z)
Using Area Type Table Version 9 (07 August 2018)
Using Standardized Region Name Table Version 4 (18 December 2018)
------------------
Checking variable: time
------------------
Checking variable: time_bnds
------------------
Checking variable: plev
------------------
Checking variable: lat
------------------
Checking variable: lat_bnds
------------------
Checking variable: lon
------------------
Checking variable: lon_bnds
------------------
Checking variable: ta
------------------
INFO: attribute history is being used in a non-standard way
```
ERRORS detected: 0<br>
WARNINGS given: 0<br>
INFORMATION messages: 1<br><br>

### Geopotential Height
FILE: zg_Amon_HadGEM2-CC_historical_r1i1p1_198412-200511.nc
```
Output of CF-Checker follows...

/home/ros/software/cf-checker/lib/python2.7/site-packages/cfchecker-3.1.0-py2.7.egg/cfchecker/cfchecks.py:1768: FutureWarning: Conversion of the second argument of issubdtype from `int` to `np.signedinteger` is deprecated. In future, it will be treated as `np.int64 == np.dtype(int).type`.
  elif numpy.issubdtype(attrType, numpy.int) or numpy.issubdtype(attrType, numpy.float):
/home/ros/software/cf-checker/lib/python2.7/site-packages/cfchecker-3.1.0-py2.7.egg/cfchecker/cfchecks.py:1768: FutureWarning: Conversion of the second argument of issubdtype from `float` to `np.floating` is deprecated. In future, it will be treated as `np.float64 == np.dtype(float).type`.
  elif numpy.issubdtype(attrType, numpy.int) or numpy.issubdtype(attrType, numpy.float):
CHECKING NetCDF FILE: /tmp/2698.nc
=====================
Using CF Checker Version 3.1.0
Checking against CF Version CF-1.4
Using Standard Name Table Version 62 (2018-12-18T16:56:35Z)
Using Area Type Table Version 9 (07 August 2018)
Using Standardized Region Name Table Version 4 (18 December 2018)
------------------
Checking variable: time
------------------
Checking variable: time_bnds
------------------
Checking variable: plev
------------------
Checking variable: lat
------------------
Checking variable: lat_bnds
------------------
Checking variable: lon
------------------
Checking variable: lon_bnds
------------------
Checking variable: zg
------------------
INFO: attribute history is being used in a non-standard way
```
ERRORS detected: 0<br>
WARNINGS given: 0<br>
INFORMATION messages: 1<br><br>

## CMIP5 Monthly Single Levels
### 2m_temperature
FILE: tas_Amon_HadGEM2-ES_historical_r1i1p1_198412-200511.nc
```
Output of CF-Checker follows...

/home/ros/software/cf-checker/lib/python2.7/site-packages/cfchecker-3.1.0-py2.7.egg/cfchecker/cfchecks.py:1768: FutureWarning: Conversion of the second argument of issubdtype from `int` to `np.signedinteger` is deprecated. In future, it will be treated as `np.int64 == np.dtype(int).type`.
  elif numpy.issubdtype(attrType, numpy.int) or numpy.issubdtype(attrType, numpy.float):
/home/ros/software/cf-checker/lib/python2.7/site-packages/cfchecker-3.1.0-py2.7.egg/cfchecker/cfchecks.py:1768: FutureWarning: Conversion of the second argument of issubdtype from `float` to `np.floating` is deprecated. In future, it will be treated as `np.float64 == np.dtype(float).type`.
  elif numpy.issubdtype(attrType, numpy.int) or numpy.issubdtype(attrType, numpy.float):
CHECKING NetCDF FILE: /tmp/2698.nc
=====================
Using CF Checker Version 3.1.0
Checking against CF Version CF-1.4
Using Standard Name Table Version 62 (2018-12-18T16:56:35Z)
Using Area Type Table Version 9 (07 August 2018)
Using Standardized Region Name Table Version 4 (18 December 2018)
------------------
Checking variable: time
------------------
Checking variable: time_bnds
------------------
Checking variable: lat
------------------
Checking variable: lat_bnds
------------------
Checking variable: lon
------------------
Checking variable: lon_bnds
------------------
Checking variable: height
------------------
ERROR: (4): Axis attribute is not allowed for auxillary coordinate variables.
------------------
Checking variable: tas
------------------
INFO: attribute history is being used in a non-standard way
WARN: (7.2): cell_measures refers to variable areacella that doesnt exist in this netCDF file. This is strictly an error if the cell_measures variable is not included in the dataset.
```
ERRORS detected: 1<br>
WARNINGS given: 1<br>
INFORMATION messages: 1<br><br>

### mean_precipitation_flux
FILE: pr_Amon_HadGEM2-ES_historical_r1i1p1_198412-200511.nc
```
Output of CF-Checker follows...

/home/ros/software/cf-checker/lib/python2.7/site-packages/cfchecker-3.1.0-py2.7.egg/cfchecker/cfchecks.py:1768: FutureWarning: Conversion of the second argument of issubdtype from `int` to `np.signedinteger` is deprecated. In future, it will be treated as `np.int64 == np.dtype(int).type`.
  elif numpy.issubdtype(attrType, numpy.int) or numpy.issubdtype(attrType, numpy.float):
/home/ros/software/cf-checker/lib/python2.7/site-packages/cfchecker-3.1.0-py2.7.egg/cfchecker/cfchecks.py:1768: FutureWarning: Conversion of the second argument of issubdtype from `float` to `np.floating` is deprecated. In future, it will be treated as `np.float64 == np.dtype(float).type`.
  elif numpy.issubdtype(attrType, numpy.int) or numpy.issubdtype(attrType, numpy.float):
CHECKING NetCDF FILE: /tmp/2698.nc
=====================
Using CF Checker Version 3.1.0
Checking against CF Version CF-1.4
Using Standard Name Table Version 62 (2018-12-18T16:56:35Z)
Using Area Type Table Version 9 (07 August 2018)
Using Standardized Region Name Table Version 4 (18 December 2018)
------------------
Checking variable: time
------------------
Checking variable: time_bnds
------------------
Checking variable: lat
------------------
Checking variable: lat_bnds
------------------
Checking variable: lon
------------------
Checking variable: lon_bnds
------------------
Checking variable: pr
------------------
INFO: attribute history is being used in a non-standard way
WARN: (7.2): cell_measures refers to variable areacella that doesnt exist in this netCDF file. This is strictly an error if the cell_measures variable is not included in the dataset.
```
ERRORS detected: 0<br>
WARNINGS given: 1<br>
INFORMATION messages: 1<br><br>

## ecv-cmip5-bias-corrected
### Mean 2m temperature
FILE: tasAdjust_day_HadGEM2-CC_SMHI-DBSrev930-GFD-1981-2010-postproc_rcp45_r1i1p1_20041201-20051130.nc
```
Output of CF-Checker follows...

/home/ros/software/cf-checker/lib/python2.7/site-packages/cfchecker-3.1.0-py2.7.egg/cfchecker/cfchecks.py:1768: FutureWarning: Conversion of the second argument of issubdtype from `int` to `np.signedinteger` is deprecated. In future, it will be treated as `np.int64 == np.dtype(int).type`.
  elif numpy.issubdtype(attrType, numpy.int) or numpy.issubdtype(attrType, numpy.float):
/home/ros/software/cf-checker/lib/python2.7/site-packages/cfchecker-3.1.0-py2.7.egg/cfchecker/cfchecks.py:1768: FutureWarning: Conversion of the second argument of issubdtype from `float` to `np.floating` is deprecated. In future, it will be treated as `np.float64 == np.dtype(float).type`.
  elif numpy.issubdtype(attrType, numpy.int) or numpy.issubdtype(attrType, numpy.float):
CHECKING NetCDF FILE: /tmp/2698.nc
=====================
Using CF Checker Version 3.1.0
Checking against CF Version CF-1.6
Using Standard Name Table Version 62 (2018-12-18T16:56:35Z)
Using Area Type Table Version 9 (07 August 2018)
Using Standardized Region Name Table Version 4 (18 December 2018)
------------------
Checking variable: lon
------------------
Checking variable: lat
------------------
Checking variable: time
------------------
Checking variable: time_bnds
------------------
Checking variable: tasAdjust
------------------
INFO: attribute history is being used in a non-standard way
WARN: (7.2): cell_measures refers to variable areacella that doesnt exist in this netCDF file. This is strictly an error if the cell_measures variable is not included in the dataset.
------------------
Checking variable: height
------------------
INFO: attribute axis is being used in a non-standard way
INFO: attribute positive is being used in a non-standard way
```
ERRORS detected: 0<br>
WARNINGS given: 1<br>
INFORMATION messages: 3<br><br>

### Precipitation flux
FILE: prAdjust_day_HadGEM2-CC_SMHI-DBSrev930-GFD-1981-2010-postproc_rcp45_r1i1p1_20041201-20051130.nc
```
Output of CF-Checker follows...

/home/ros/software/cf-checker/lib/python2.7/site-packages/cfchecker-3.1.0-py2.7.egg/cfchecker/cfchecks.py:1768: FutureWarning: Conversion of the second argument of issubdtype from `int` to `np.signedinteger` is deprecated. In future, it will be treated as `np.int64 == np.dtype(int).type`.
  elif numpy.issubdtype(attrType, numpy.int) or numpy.issubdtype(attrType, numpy.float):
/home/ros/software/cf-checker/lib/python2.7/site-packages/cfchecker-3.1.0-py2.7.egg/cfchecker/cfchecks.py:1768: FutureWarning: Conversion of the second argument of issubdtype from `float` to `np.floating` is deprecated. In future, it will be treated as `np.float64 == np.dtype(float).type`.
  elif numpy.issubdtype(attrType, numpy.int) or numpy.issubdtype(attrType, numpy.float):
CHECKING NetCDF FILE: /tmp/2698.nc
=====================
Using CF Checker Version 3.1.0
Checking against CF Version CF-1.6
Using Standard Name Table Version 62 (2018-12-18T16:56:35Z)
Using Area Type Table Version 9 (07 August 2018)
Using Standardized Region Name Table Version 4 (18 December 2018)
------------------
Checking variable: lon
------------------
Checking variable: lat
------------------
Checking variable: time
------------------
Checking variable: time_bnds
------------------
Checking variable: prAdjust
------------------
INFO: attribute history is being used in a non-standard way
WARN: (7.2): cell_measures refers to variable areacella that doesnt exist in this netCDF file. This is strictly an error if the cell_measures variable is not included in the dataset.
```
ERRORS detected: 0<br>
WARNINGS given: 1<br>
INFORMATION messages: 1<br><br>
